mutation CreateSector(
  $sectorNumber: String!,
  $sectorName: String!,
  $sectorType: SectorType
) @auth(level: USER) {
  sector_insert(
    data: {
      sectorNumber: $sectorNumber
      sectorName: $sectorName
      sectorType: $sectorType
    }
  )
}

mutation UpdateSector(
  $id: UUID!,
  $sectorNumber: String,
  $sectorName: String,
  $sectorType: SectorType
) @auth(level: USER) {
  sector_update(
    id: $id,
    data: {
      sectorNumber: $sectorNumber
      sectorName: $sectorName
      sectorType: $sectorType
    }
  )
}

mutation DeleteSector(
  $id: UUID!
) @auth(level: USER) {
  sector_delete(id: $id)
}
